
QGIS Application - Bug report #3334

Marker line renders wrong on rotate with line.

2010-12-14 04:45 AM - Nathan Woodrow

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13394

Description

This is a bug when you select rotate with line but have a marker line defined with two symbols, one or more with offsets.

The problem seems to be that the angles of the symbols are updated correctly but the x and y offsets are not meaning that symbols

render incorrectly along the line.

I have attached a picture of the problem. [[Image(http://imgur.com/bSymt.png)]]

Associated revisions

Revision e4236b3d - 2010-12-14 11:47 PM - Martin Dobias

Rotate also marker's offset, not just the marker itself (fixes #3334)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14914 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1b69e082 - 2010-12-14 11:47 PM - Martin Dobias

Rotate also marker's offset, not just the marker itself (fixes #3334)

git-svn-id: http://svn.osgeo.org/qgis/trunk@14914 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-12-14 02:48 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:1b69e082 (SVN r14915) - that was actually general problem of marker symbols when having both non-zero offset and rotation.

2024-03-20 1/1

http://imgur.com/bSymt.png
http://svn.osgeo.org/qgis/trunk/qgis@14914
http://svn.osgeo.org/qgis/trunk@14914

